Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.jdbc.db.lock
Class OraLockGenerator

    java.lang.Object
      com.novell.nds.dirxml.driver.jdbc.db.lock.DBLockGenerator
          com.novell.nds.dirxml.driver.jdbc.db.lock.OraLockGenerator

All Implemented Interfaces:
  DBLockStatementGenerator

public class OraLockGenerator
extends DBLockGenerator

Default Oracle lock generator implementation.

NOTE: Oracle SELECT statements can't block even if the table is exclusively locked.

Field Summary

Fields inherited from interface com.novell.nds.dirxml.driver.jdbc.db.lock.DBLockStatementGenerator
`EMPTY_LOCK, TYPE_TABLE, TYPE_VIEW`

Constructor Summary
`OraLockGenerator()`

Method Summary
`DBLock` | `generateDeleteLock()` Method for caller to request the appropriate database lock for a pending DELETE statement.
`DBLock` | `generateInsertLock()` Method for caller to request the appropriate database lock for a pending INSERT statement.
`DBLock` | `generateUpdateLock()` Method for caller to request the appropriate database lock for a pending UPDATE statement.

Methods inherited from class com.novell.nds.dirxml.driver.jdbc.db.lock.DBLockGenerator
`addListedColumn, addPrimaryKeyColumn, addWhereColumn, generateSelectLock, reset, setTable, setWhereClause`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OraLockGenerator

    public OraLockGenerator()

Method Detail

### generateInsertLock

    public DBLock generateInsertLock()

  Description copied from interface: `DBLockStatementGenerator`
  Method for caller to request the appropriate database lock for a pending INSERT statement.

  Specified by:
    `generateInsertLock` in interface `DBLockStatementGenerator`
  Overrides:
    `generateInsertLock` in class `DBLockGenerator`

### generateUpdateLock

    public DBLock generateUpdateLock()

  Description copied from interface: `DBLockStatementGenerator`
  Method for caller to request the appropriate database lock for a pending UPDATE statement.

  Specified by:
    `generateUpdateLock` in interface `DBLockStatementGenerator`
  Overrides:
    `generateUpdateLock` in class `DBLockGenerator`

### generateDeleteLock

    public DBLock generateDeleteLock()

  Description copied from interface: `DBLockStatementGenerator`
  Method for caller to request the appropriate database lock for a pending DELETE statement.

  Specified by:
    `generateDeleteLock` in interface `DBLockStatementGenerator`
  Overrides:
    `generateDeleteLock` in class `DBLockGenerator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD